source: trunk/makefile.in @ 3071

Last change on this file since 3071 was 3070, checked in by bradbell, 6 years ago

revert back to explicit for ctor from any type as default

  • Property svn:keywords set to Id
File size: 40.9 KB
Line 
1# makefile.in generated by automake 1.11.6 from makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18
19VPATH = @srcdir@
20am__make_dryrun = \
21  { \
22    am__dry=no; \
23    case $$MAKEFLAGS in \
24      *\\[\ \   ]*) \
25        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
26          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
27      *) \
28        for am__flg in $$MAKEFLAGS; do \
29          case $$am__flg in \
30            *=*|--*) ;; \
31            *n*) am__dry=yes; break;; \
32          esac; \
33        done;; \
34    esac; \
35    test $$am__dry = yes; \
36  }
37pkgdatadir = $(datadir)/@PACKAGE@
38pkgincludedir = $(includedir)/@PACKAGE@
39pkglibdir = $(libdir)/@PACKAGE@
40pkglibexecdir = $(libexecdir)/@PACKAGE@
41am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
42install_sh_DATA = $(install_sh) -c -m 644
43install_sh_PROGRAM = $(install_sh) -c
44install_sh_SCRIPT = $(install_sh) -c
45INSTALL_HEADER = $(INSTALL_DATA)
46transform = $(program_transform_name)
47NORMAL_INSTALL = :
48PRE_INSTALL = :
49POST_INSTALL = :
50NORMAL_UNINSTALL = :
51PRE_UNINSTALL = :
52POST_UNINSTALL = :
53subdir = .
54DIST_COMMON = README $(am__configure_deps) \
55        $(am__myinclude_HEADERS_DIST) $(nobase_myinclude_HEADERS) \
56        $(srcdir)/makefile.am $(srcdir)/makefile.in \
57        $(top_srcdir)/configure $(top_srcdir)/cppad/configure.hpp.in \
58        $(top_srcdir)/pkgconfig/cppad-uninstalled.pc.in \
59        $(top_srcdir)/pkgconfig/cppad.pc.in AUTHORS COPYING ChangeLog \
60        INSTALL NEWS depcomp install-sh missing
61ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
62am__aclocal_m4_deps = $(top_srcdir)/configure.ac
63am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
64        $(ACLOCAL_M4)
65am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
66 configure.lineno config.status.lineno
67mkinstalldirs = $(install_sh) -d
68CONFIG_CLEAN_FILES = cppad/configure.hpp pkgconfig/cppad.pc \
69        pkgconfig/cppad-uninstalled.pc
70CONFIG_CLEAN_VPATH_FILES =
71AM_V_GEN = $(am__v_GEN_@AM_V@)
72am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
73am__v_GEN_0 = @echo "  GEN   " $@;
74AM_V_at = $(am__v_at_@AM_V@)
75am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
76am__v_at_0 = @
77SOURCES =
78DIST_SOURCES =
79RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
80        html-recursive info-recursive install-data-recursive \
81        install-dvi-recursive install-exec-recursive \
82        install-html-recursive install-info-recursive \
83        install-pdf-recursive install-ps-recursive install-recursive \
84        installcheck-recursive installdirs-recursive pdf-recursive \
85        ps-recursive uninstall-recursive
86am__can_run_installinfo = \
87  case $$AM_UPDATE_INFO_DIR in \
88    n|no|NO) false;; \
89    *) (install-info --version) >/dev/null 2>&1;; \
90  esac
91am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
92am__vpath_adj = case $$p in \
93    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
94    *) f=$$p;; \
95  esac;
96am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
97am__install_max = 40
98am__nobase_strip_setup = \
99  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
100am__nobase_strip = \
101  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
102am__nobase_list = $(am__nobase_strip_setup); \
103  for p in $$list; do echo "$$p $$p"; done | \
104  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
105  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
106    if (++n[$$2] == $(am__install_max)) \
107      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
108    END { for (dir in files) print dir, files[dir] }'
109am__base_list = \
110  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
111  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
112am__uninstall_files_from_dir = { \
113  test -z "$$files" \
114    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
115    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
116         $(am__cd) "$$dir" && rm -f $$files; }; \
117  }
118am__installdirs = "$(DESTDIR)$(pkgconfigdir)" \
119        "$(DESTDIR)$(myincludedir)" "$(DESTDIR)$(myincludedir)"
120DATA = $(pkgconfig_DATA)
121am__myinclude_HEADERS_DIST = cppad_ipopt/src/cppad_ipopt_nlp.hpp
122HEADERS = $(myinclude_HEADERS) $(nobase_myinclude_HEADERS)
123RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
124  distclean-recursive maintainer-clean-recursive
125AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
126        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
127        distdir dist dist-all distcheck
128ETAGS = etags
129CTAGS = ctags
130DIST_SUBDIRS = cppad_ipopt/src example/ipopt_solve cppad_ipopt/example \
131        cppad_ipopt/speed cppad_ipopt/test speed/src speed/adolc \
132        speed/cppad speed/double speed/example speed/fadbad \
133        speed/profile speed/sacado example example/atomic compare_c \
134        introduction/get_started introduction/exp_apx print_for \
135        multi_thread multi_thread/test_multi test_more
136DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
137distdir = $(PACKAGE)-$(VERSION)
138top_distdir = $(distdir)
139am__remove_distdir = \
140  if test -d "$(distdir)"; then \
141    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
142      && rm -rf "$(distdir)" \
143      || { sleep 5 && rm -rf "$(distdir)"; }; \
144  else :; fi
145am__relativize = \
146  dir0=`pwd`; \
147  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
148  sed_rest='s,^[^/]*/*,,'; \
149  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
150  sed_butlast='s,/*[^/]*$$,,'; \
151  while test -n "$$dir1"; do \
152    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
153    if test "$$first" != "."; then \
154      if test "$$first" = ".."; then \
155        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
156        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
157      else \
158        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
159        if test "$$first2" = "$$first"; then \
160          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
161        else \
162          dir2="../$$dir2"; \
163        fi; \
164        dir0="$$dir0"/"$$first"; \
165      fi; \
166    fi; \
167    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
168  done; \
169  reldir="$$dir2"
170DIST_ARCHIVES = $(distdir).tar.gz
171GZIP_ENV = --best
172distuninstallcheck_listfiles = find . -type f -print
173am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
174  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
175distcleancheck_listfiles = find . -type f -print
176ABS_TOP_BUILDDIR = @ABS_TOP_BUILDDIR@
177ABS_TOP_SRCDIR = @ABS_TOP_SRCDIR@
178ACLOCAL = @ACLOCAL@
179ADOLC_DIR = @ADOLC_DIR@
180AMTAR = @AMTAR@
181AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
182AUTOCONF = @AUTOCONF@
183AUTOHEADER = @AUTOHEADER@
184AUTOMAKE = @AUTOMAKE@
185AWK = @AWK@
186BOOST_DIR = @BOOST_DIR@
187BOOST_INCLUDE = @BOOST_INCLUDE@
188BTHREAD_LIB = @BTHREAD_LIB@
189CC = @CC@
190CCDEPMODE = @CCDEPMODE@
191CFLAGS = @CFLAGS@
192CPP = @CPP@
193CPPAD_IPOPT_LD_PATH = @CPPAD_IPOPT_LD_PATH@
194CPPAD_IPOPT_LIBS = @CPPAD_IPOPT_LIBS@
195CPPFLAGS = @CPPFLAGS@
196CXX = @CXX@
197CXXDEPMODE = @CXXDEPMODE@
198CXXFLAGS = @CXXFLAGS@
199CXX_FLAGS = @CXX_FLAGS@
200CXX_FLAGS_EIGEN = @CXX_FLAGS_EIGEN@
201CXX_FLAGS_FADBAD = @CXX_FLAGS_FADBAD@
202CYGPATH_W = @CYGPATH_W@
203DEFS = @DEFS@
204DEPDIR = @DEPDIR@
205DL_LIB = @DL_LIB@
206ECHO_C = @ECHO_C@
207ECHO_N = @ECHO_N@
208ECHO_T = @ECHO_T@
209EGREP = @EGREP@
210EIGEN_DIR = @EIGEN_DIR@
211EIGEN_INCLUDE = @EIGEN_INCLUDE@
212EXEEXT = @EXEEXT@
213FADBAD_DIR = @FADBAD_DIR@
214FC = @FC@
215FCFLAGS = @FCFLAGS@
216FCLIBS = @FCLIBS@
217GREP = @GREP@
218INSTALL = @INSTALL@
219INSTALL_DATA = @INSTALL_DATA@
220INSTALL_PROGRAM = @INSTALL_PROGRAM@
221INSTALL_SCRIPT = @INSTALL_SCRIPT@
222INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
223IPOPT_DIR = @IPOPT_DIR@
224LDFLAGS = @LDFLAGS@
225LIBOBJS = @LIBOBJS@
226LIBS = @LIBS@
227LTLIBOBJS = @LTLIBOBJS@
228MAINT = @MAINT@
229MAKEINFO = @MAKEINFO@
230MAX_NUM_THREADS = @MAX_NUM_THREADS@
231MKDIR_P = @MKDIR_P@
232OBJEXT = @OBJEXT@
233OPENMP_FLAGS = @OPENMP_FLAGS@
234PACKAGE = @PACKAGE@
235PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
236PACKAGE_NAME = @PACKAGE_NAME@
237PACKAGE_STRING = @PACKAGE_STRING@
238PACKAGE_TARNAME = @PACKAGE_TARNAME@
239PACKAGE_URL = @PACKAGE_URL@
240PACKAGE_VERSION = @PACKAGE_VERSION@
241PATH_SEPARATOR = @PATH_SEPARATOR@
242POSTFIX_DIR = @POSTFIX_DIR@
243PTHREAD_LIB = @PTHREAD_LIB@
244RANLIB = @RANLIB@
245SACADO_DIR = @SACADO_DIR@
246SET_MAKE = @SET_MAKE@
247SHELL = @SHELL@
248STRIP = @STRIP@
249TAPE_ADDR_TYPE = @TAPE_ADDR_TYPE@
250TAPE_ID_TYPE = @TAPE_ID_TYPE@
251VERSION = @VERSION@
252abs_builddir = @abs_builddir@
253abs_srcdir = @abs_srcdir@
254abs_top_builddir = @abs_top_builddir@
255abs_top_srcdir = @abs_top_srcdir@
256ac_ct_CC = @ac_ct_CC@
257ac_ct_CXX = @ac_ct_CXX@
258ac_ct_FC = @ac_ct_FC@
259adolc_prefix = @adolc_prefix@
260am__include = @am__include@
261am__leading_dot = @am__leading_dot@
262am__quote = @am__quote@
263am__tar = @am__tar@
264am__untar = @am__untar@
265bindir = @bindir@
266build_alias = @build_alias@
267builddir = @builddir@
268cppad_SOURCE_DIR = @cppad_SOURCE_DIR@
269cppad_boostvector = @cppad_boostvector@
270cppad_cflags = @cppad_cflags@
271cppad_cppadvector = @cppad_cppadvector@
272cppad_description = @cppad_description@
273cppad_eigenvector = @cppad_eigenvector@
274cppad_has_gettimeofday = @cppad_has_gettimeofday@
275cppad_has_nullptr = @cppad_has_nullptr@
276cppad_implicit_ctor_from_any_type = @cppad_implicit_ctor_from_any_type@
277cppad_internal_sparse_set = @cppad_internal_sparse_set@
278cppad_libs = @cppad_libs@
279cppad_max_num_threads = @cppad_max_num_threads@
280cppad_requires = @cppad_requires@
281cppad_size_t_same_unsigned_int = @cppad_size_t_same_unsigned_int@
282cppad_stdvector = @cppad_stdvector@
283cppad_tape_addr_type = @cppad_tape_addr_type@
284cppad_tape_id_type = @cppad_tape_id_type@
285cppad_url = @cppad_url@
286cppad_version = @cppad_version@
287datadir = @datadir@
288datarootdir = @datarootdir@
289docdir = @docdir@
290dvidir = @dvidir@
291eigen_prefix = @eigen_prefix@
292exec_prefix = @exec_prefix@
293have_ar = @have_ar@
294have_pkg_config = @have_pkg_config@
295host_alias = @host_alias@
296htmldir = @htmldir@
297includedir = @includedir@
298infodir = @infodir@
299install_sh = @install_sh@
300ipopt_prefix = @ipopt_prefix@
301libdir = @libdir@
302libexecdir = @libexecdir@
303localedir = @localedir@
304localstatedir = @localstatedir@
305mandir = @mandir@
306mkdir_p = @mkdir_p@
307oldincludedir = @oldincludedir@
308pdfdir = @pdfdir@
309prefix = @prefix@
310program_transform_name = @program_transform_name@
311psdir = @psdir@
312sbindir = @sbindir@
313sharedstatedir = @sharedstatedir@
314srcdir = @srcdir@
315sysconfdir = @sysconfdir@
316target_alias = @target_alias@
317top_build_prefix = @top_build_prefix@
318top_builddir = @top_builddir@
319top_srcdir = @top_srcdir@
320
321# $Id: makefile.in 3070 2013-12-31 15:09:11Z bradbell $
322# -----------------------------------------------------------------------------
323# CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-13 Bradley M. Bell
324#
325# CppAD is distributed under multiple licenses. This distribution is under
326# the terms of the
327#                     Eclipse Public License Version 1.0.
328#
329# A copy of this license is included in the COPYING file of this distribution.
330# Please visit http://www.coin-or.org/CppAD/ for information on other licenses.
331# -----------------------------------------------------------------------------
332#
333BUILT_SOURCES = $(top_srcdir)/cppad/configure.hpp
334@CppAD_POSTFIX_FALSE@postfix_dir = .
335#
336@CppAD_POSTFIX_TRUE@postfix_dir = $(POSTFIX_DIR)
337@CppAD_ADOLC_FALSE@SPEED_ADOLC_TESTS =
338#
339# Did user specify a value for ADOLC_DIR in configure command line
340@CppAD_ADOLC_TRUE@SPEED_ADOLC_TESTS = speed/adolc
341@CppAD_FADBAD_FALSE@SPEED_FADBAD_TESTS =
342#
343# Did user specify a value for FADBAD_DIR in configure command line
344@CppAD_FADBAD_TRUE@SPEED_FADBAD_TESTS = speed/fadbad
345@CppAD_SACADO_FALSE@SPEED_SACADO_TESTS =
346#
347# Did user specify a value for SACADO_DIR in configure command line
348@CppAD_SACADO_TRUE@SPEED_SACADO_TESTS = speed/sacado
349@CppAD_IPOPT_FALSE@IPOPT_TESTS =
350#
351# Did user specify a value for IPOPT_DIR in configure command line
352@CppAD_IPOPT_TRUE@IPOPT_TESTS = \
353@CppAD_IPOPT_TRUE@      example/ipopt_solve \
354@CppAD_IPOPT_TRUE@      cppad_ipopt/example \
355@CppAD_IPOPT_TRUE@      cppad_ipopt/speed \
356@CppAD_IPOPT_TRUE@      cppad_ipopt/test
357
358@CppAD_IPOPT_FALSE@IPOPT_DIRS =
359#
360@CppAD_IPOPT_TRUE@IPOPT_DIRS = \
361@CppAD_IPOPT_TRUE@      cppad_ipopt/src \
362@CppAD_IPOPT_TRUE@      $(IPOPT_TESTS)
363
364@CppAD_IPOPT_FALSE@IPOPT_HEADER =
365#
366@CppAD_IPOPT_TRUE@IPOPT_HEADER = \
367@CppAD_IPOPT_TRUE@      cppad_ipopt/src/cppad_ipopt_nlp.hpp
368
369#
370# Is the library archiving program present
371@CppAD_HAVE_AR_TRUE@SPEED_TESTS = \
372@CppAD_HAVE_AR_TRUE@    $(SPEED_ADOLC_TESTS)  \
373@CppAD_HAVE_AR_TRUE@    speed/cppad \
374@CppAD_HAVE_AR_TRUE@    speed/double \
375@CppAD_HAVE_AR_TRUE@    speed/example \
376@CppAD_HAVE_AR_TRUE@    $(SPEED_FADBAD_TESTS) \
377@CppAD_HAVE_AR_TRUE@    speed/profile \
378@CppAD_HAVE_AR_TRUE@    $(SPEED_SACADO_TESTS)
379
380#
381@CppAD_HAVE_AR_TRUE@SPEED_DIRS = \
382@CppAD_HAVE_AR_TRUE@    speed/src \
383@CppAD_HAVE_AR_TRUE@    $(SPEED_TESTS)
384
385# ---------------------------------------------------------------------------
386myincludedir = $(includedir)/$(postfix_dir)
387#
388myinclude_HEADERS = \
389        $(IPOPT_HEADER)
390
391#
392nobase_myinclude_HEADERS = \
393        cppad/CheckNumericType.h \
394        cppad/CheckSimpleVector.h \
395        cppad/CppAD.h \
396        cppad/CppAD_vector.h \
397        cppad/ErrorHandler.h \
398        cppad/LuFactor.h \
399        cppad/LuInvert.h \
400        cppad/LuSolve.h \
401        cppad/NearEqual.h \
402        cppad/OdeErrControl.h \
403        cppad/OdeGearControl.h \
404        cppad/OdeGear.h \
405        cppad/Poly.h \
406        cppad/PowInt.h \
407        cppad/RombergMul.h \
408        cppad/RombergOne.h \
409        cppad/Rosen34.h \
410        cppad/Runge45.h \
411        cppad/SpeedTest.h \
412        cppad/TrackNewDel.h \
413        \
414        cppad/base_require.hpp \
415        cppad/check_numeric_type.hpp \
416        cppad/check_simple_vector.hpp \
417        cppad/configure.hpp \
418        cppad/cppad.hpp \
419        cppad/elapsed_seconds.hpp \
420        cppad/example/base_adolc.hpp \
421        cppad/example/cppad_eigen.hpp \
422        cppad/example/eigen_plugin.hpp \
423        cppad/example/matrix_mul.hpp \
424        cppad/error_handler.hpp \
425        cppad/index_sort.hpp \
426        cppad/ipopt/solve.hpp \
427        cppad/ipopt/solve_callback.hpp \
428        cppad/ipopt/solve_result.hpp \
429        cppad/local/abort_recording.hpp \
430        cppad/local/abs.hpp \
431        cppad/local/abs_op.hpp \
432        cppad/local/acos_op.hpp \
433        cppad/local/ad_assign.hpp \
434        cppad/local/ad_binary.hpp \
435        cppad/local/ad_ctor.hpp \
436        cppad/local/add_eq.hpp \
437        cppad/local/add.hpp \
438        cppad/local/add_op.hpp \
439        cppad/local/ad_io.hpp \
440        cppad/local/ad_fun.hpp \
441        cppad/local/ad.hpp \
442        cppad/local/ad_tape.hpp \
443        cppad/local/ad_valued.hpp \
444        cppad/local/arithmetic.hpp \
445        cppad/local/asin_op.hpp \
446        cppad/local/atan2.hpp \
447        cppad/local/atan_op.hpp \
448        cppad/local/atomic_base.hpp \
449        cppad/local/base_complex.hpp \
450        cppad/local/base_cond_exp.hpp \
451        cppad/local/base_double.hpp \
452        cppad/local/base_float.hpp \
453        cppad/local/base_std_math.hpp \
454        cppad/local/bender_quad.hpp \
455        cppad/local/bool_fun.hpp \
456        cppad/local/bool_valued.hpp \
457        cppad/local/cap_taylor.hpp \
458        cppad/local/checkpoint.hpp \
459        cppad/local/compare.hpp \
460        cppad/local/comp_op.hpp \
461        cppad/local/compute_assign.hpp \
462        cppad/local/cond_exp.hpp \
463        cppad/local/cond_op.hpp \
464        cppad/local/convert.hpp \
465        cppad/local/cosh_op.hpp \
466        cppad/local/cos_op.hpp \
467        cppad/local/cppad_assert.hpp \
468        cppad/local/cskip_op.hpp \
469        cppad/local/csum_op.hpp \
470        cppad/local/declare_ad.hpp \
471        cppad/local/define.hpp \
472        cppad/local/dependent.hpp \
473        cppad/local/discrete.hpp \
474        cppad/local/discrete_op.hpp \
475        cppad/local/div_eq.hpp \
476        cppad/local/div.hpp \
477        cppad/local/div_op.hpp \
478        cppad/local/drivers.hpp \
479        cppad/local/epsilon.hpp \
480        cppad/local/equal_op_seq.hpp \
481        cppad/local/erf.hpp \
482        cppad/local/exp_op.hpp \
483        cppad/local/for_jac_sweep.hpp \
484        cppad/local/for_one.hpp \
485        cppad/local/for_sparse_jac.hpp \
486        cppad/local/for_two.hpp \
487        cppad/local/forward0sweep.hpp \
488        cppad/local/forward.hpp \
489        cppad/local/forward_sweep.hpp \
490        cppad/local/fun_check.hpp \
491        cppad/local/fun_construct.hpp \
492        cppad/local/fun_eval.hpp \
493        cppad/local/hash_code.hpp \
494        cppad/local/hessian.hpp \
495        cppad/local/identical.hpp \
496        cppad/local/independent.hpp \
497        cppad/local/integer.hpp \
498        cppad/local/jacobian.hpp \
499        cppad/local/limits.hpp \
500        cppad/local/load_op.hpp \
501        cppad/local/log_op.hpp \
502        cppad/local/lu_ratio.hpp \
503        cppad/local/math_other.hpp \
504        cppad/local/mul_eq.hpp \
505        cppad/local/mul.hpp \
506        cppad/local/mul_op.hpp \
507        cppad/local/near_equal_ext.hpp \
508        cppad/local/num_skip.hpp \
509        cppad/local/omp_max_thread.hpp \
510        cppad/local/op_code.hpp \
511        cppad/local/op.hpp \
512        cppad/local/optimize.hpp \
513        cppad/local/opt_val_hes.hpp \
514        cppad/local/ordered.hpp \
515        cppad/local/parallel_ad.hpp \
516        cppad/local/parameter_op.hpp \
517        cppad/local/par_var.hpp \
518        cppad/local/player.hpp \
519        cppad/local/pod_vector.hpp \
520        cppad/local/pow.hpp \
521        cppad/local/pow_op.hpp \
522        cppad/local/print_for.hpp \
523        cppad/local/print_op.hpp \
524        cppad/local/prototype_op.hpp \
525        cppad/local/recorder.hpp \
526        cppad/local/reverse.hpp \
527        cppad/local/reverse_sweep.hpp \
528        cppad/local/rev_hes_sweep.hpp \
529        cppad/local/rev_jac_sweep.hpp \
530        cppad/local/rev_one.hpp \
531        cppad/local/rev_sparse_hes.hpp \
532        cppad/local/rev_sparse_jac.hpp \
533        cppad/local/rev_two.hpp \
534        cppad/local/sign.hpp \
535        cppad/local/sign_op.hpp \
536        cppad/local/sin_op.hpp \
537        cppad/local/sinh_op.hpp \
538        cppad/local/sparse_binary_op.hpp \
539        cppad/local/sparse_hessian.hpp \
540        cppad/local/sparse.hpp \
541        cppad/local/sparse_jacobian.hpp \
542        cppad/local/sparse_list.hpp \
543        cppad/local/sparse_pack.hpp \
544        cppad/local/sparse_pattern.hpp \
545        cppad/local/sparse_set.hpp \
546        cppad/local/sparse_unary_op.hpp \
547        cppad/local/sqrt_op.hpp \
548        cppad/local/std_math_ad.hpp \
549        cppad/local/std_set.hpp \
550        cppad/local/store_op.hpp \
551        cppad/local/sub_eq.hpp \
552        cppad/local/sub.hpp \
553        cppad/local/sub_op.hpp \
554        cppad/local/tanh_op.hpp \
555        cppad/local/tan_op.hpp \
556        cppad/local/tape_link.hpp \
557        cppad/local/test_vector.hpp \
558        cppad/local/testvector.hpp \
559        cppad/local/unary_minus.hpp \
560        cppad/local/unary_plus.hpp \
561        cppad/local/undef.hpp \
562        cppad/local/user_ad.hpp \
563        cppad/local/old_atomic.hpp \
564        cppad/local/value.hpp \
565        cppad/local/var2par.hpp \
566        cppad/local/vec_ad.hpp \
567        cppad/lu_factor.hpp \
568        cppad/lu_invert.hpp \
569        cppad/lu_solve.hpp \
570        cppad/memory_leak.hpp \
571        cppad/nan.hpp \
572        cppad/near_equal.hpp \
573        cppad/ode_err_control.hpp \
574        cppad/ode_gear_control.hpp \
575        cppad/ode_gear.hpp \
576        cppad/omp_alloc.hpp \
577        cppad/poly.hpp \
578        cppad/pow_int.hpp \
579        cppad/romberg_mul.hpp \
580        cppad/romberg_one.hpp \
581        cppad/rosen_34.hpp \
582        cppad/runge_45.hpp \
583        cppad/speed/det_33.hpp \
584        cppad/speed/det_by_lu.hpp \
585        cppad/speed/det_by_minor.hpp \
586        cppad/speed/det_grad_33.hpp \
587        cppad/speed/det_of_minor.hpp \
588        cppad/speed/mat_sum_sq.hpp \
589        cppad/speed/ode_evaluate.hpp \
590        cppad/speed/sparse_hes_fun.hpp \
591        cppad/speed/sparse_jac_fun.hpp \
592        cppad/speed_test.hpp \
593        cppad/speed/uniform_01.hpp \
594        cppad/thread_alloc.hpp \
595        cppad/time_test.hpp \
596        cppad/track_new_del.hpp \
597        cppad/vector.hpp
598
599# End nobase_myinclude_HEADERS (check_makefile.sh uses this comment)
600# ---------------------------------------------------------------
601#
602# No objects or executables are required to install CppAD.
603# See 'make test' below for building the tests.
604SUBDIRS = \
605        $(IPOPT_DIRS) \
606        $(SPEED_DIRS) \
607        example \
608        example/atomic \
609        compare_c \
610        introduction/get_started \
611        introduction/exp_apx \
612        print_for \
613        multi_thread \
614        multi_thread/test_multi \
615        test_more
616
617#
618# note that bin/gpl_license.sh is deleted by dist-hook
619EXTRA_DIST = \
620        bin \
621        build.sh \
622        doc.omh \
623        doc \
624        epl-v10.txt \
625        epl-v10.html \
626        omh \
627        uw_copy_040507.html \
628        \
629        compare_c/CMakeLists.txt \
630        cppad/CMakeLists.txt \
631        pkgconfig/CMakeLists.txt \
632        example/CMakeLists.txt \
633        example/atomic/CMakeLists.txt \
634        example/ipopt_solve/CMakeLists.txt \
635        test_more/CMakeLists.txt \
636        CMakeLists.txt \
637        cppad_ipopt/src/CMakeLists.txt \
638        cppad_ipopt/example/CMakeLists.txt \
639        cppad_ipopt/test/CMakeLists.txt \
640        cppad_ipopt/CMakeLists.txt \
641        cppad_ipopt/speed/CMakeLists.txt \
642        speed/cppad/CMakeLists.txt \
643        speed/adolc/CMakeLists.txt \
644        speed/fadbad/CMakeLists.txt \
645        speed/src/CMakeLists.txt \
646        speed/example/CMakeLists.txt \
647        speed/CMakeLists.txt \
648        speed/double/CMakeLists.txt \
649        speed/profile/CMakeLists.txt \
650        speed/sacado/CMakeLists.txt \
651        multi_thread/bthread/CMakeLists.txt \
652        multi_thread/CMakeLists.txt \
653        multi_thread/openmp/CMakeLists.txt \
654        multi_thread/pthread/CMakeLists.txt \
655        print_for/CMakeLists.txt
656
657test_directory_list = \
658        $(IPOPT_TESTS) \
659        $(SPEED_TESTS) \
660        example \
661        example/atomic \
662        compare_c \
663        introduction/get_started \
664        introduction/exp_apx \
665        multi_thread \
666        multi_thread/test_multi \
667        print_for \
668        test_more
669
670#
671@CppAD_DOCUMENTATION_TRUE@doc_postfix = $(DESTDIR)$(datadir)/doc/$(postfix_dir)
672@CppAD_DOCUMENTATION_TRUE@doc_package = $(DESTDIR)$(datadir)/doc/$(postfix_dir)/$(PACKAGE)-$(VERSION)
673#
674pkgconfigdir = $(datadir)/pkgconfig
675pkgconfig_DATA = pkgconfig/cppad.pc
676all: $(BUILT_SOURCES)
677        $(MAKE) $(AM_MAKEFLAGS) all-recursive
678
679.SUFFIXES:
680am--refresh: makefile
681        @:
682$(srcdir)/makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/makefile.am  $(am__configure_deps)
683        @for dep in $?; do \
684          case '$(am__configure_deps)' in \
685            *$$dep*) \
686              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
687              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
688                && exit 0; \
689              exit 1;; \
690          esac; \
691        done; \
692        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu makefile'; \
693        $(am__cd) $(top_srcdir) && \
694          $(AUTOMAKE) --gnu makefile
695.PRECIOUS: makefile
696makefile: $(srcdir)/makefile.in $(top_builddir)/config.status
697        @case '$?' in \
698          *config.status*) \
699            echo ' $(SHELL) ./config.status'; \
700            $(SHELL) ./config.status;; \
701          *) \
702            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
703            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
704        esac;
705
706$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
707        $(SHELL) ./config.status --recheck
708
709$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
710        $(am__cd) $(srcdir) && $(AUTOCONF)
711$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
712        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
713$(am__aclocal_m4_deps):
714cppad/configure.hpp: $(top_builddir)/config.status $(top_srcdir)/cppad/configure.hpp.in
715        cd $(top_builddir) && $(SHELL) ./config.status $@
716pkgconfig/cppad.pc: $(top_builddir)/config.status $(top_srcdir)/pkgconfig/cppad.pc.in
717        cd $(top_builddir) && $(SHELL) ./config.status $@
718pkgconfig/cppad-uninstalled.pc: $(top_builddir)/config.status $(top_srcdir)/pkgconfig/cppad-uninstalled.pc.in
719        cd $(top_builddir) && $(SHELL) ./config.status $@
720install-pkgconfigDATA: $(pkgconfig_DATA)
721        @$(NORMAL_INSTALL)
722        @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
723        if test -n "$$list"; then \
724          echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
725          $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
726        fi; \
727        for p in $$list; do \
728          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
729          echo "$$d$$p"; \
730        done | $(am__base_list) | \
731        while read files; do \
732          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
733          $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
734        done
735
736uninstall-pkgconfigDATA:
737        @$(NORMAL_UNINSTALL)
738        @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
739        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
740        dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
741install-myincludeHEADERS: $(myinclude_HEADERS)
742        @$(NORMAL_INSTALL)
743        @list='$(myinclude_HEADERS)'; test -n "$(myincludedir)" || list=; \
744        if test -n "$$list"; then \
745          echo " $(MKDIR_P) '$(DESTDIR)$(myincludedir)'"; \
746          $(MKDIR_P) "$(DESTDIR)$(myincludedir)" || exit 1; \
747        fi; \
748        for p in $$list; do \
749          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
750          echo "$$d$$p"; \
751        done | $(am__base_list) | \
752        while read files; do \
753          echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(myincludedir)'"; \
754          $(INSTALL_HEADER) $$files "$(DESTDIR)$(myincludedir)" || exit $$?; \
755        done
756
757uninstall-myincludeHEADERS:
758        @$(NORMAL_UNINSTALL)
759        @list='$(myinclude_HEADERS)'; test -n "$(myincludedir)" || list=; \
760        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
761        dir='$(DESTDIR)$(myincludedir)'; $(am__uninstall_files_from_dir)
762install-nobase_myincludeHEADERS: $(nobase_myinclude_HEADERS)
763        @$(NORMAL_INSTALL)
764        @list='$(nobase_myinclude_HEADERS)'; test -n "$(myincludedir)" || list=; \
765        if test -n "$$list"; then \
766          echo " $(MKDIR_P) '$(DESTDIR)$(myincludedir)'"; \
767          $(MKDIR_P) "$(DESTDIR)$(myincludedir)" || exit 1; \
768        fi; \
769        $(am__nobase_list) | while read dir files; do \
770          xfiles=; for file in $$files; do \
771            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
772            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
773          test -z "$$xfiles" || { \
774            test "x$$dir" = x. || { \
775              echo " $(MKDIR_P) '$(DESTDIR)$(myincludedir)/$$dir'"; \
776              $(MKDIR_P) "$(DESTDIR)$(myincludedir)/$$dir"; }; \
777            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(myincludedir)/$$dir'"; \
778            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(myincludedir)/$$dir" || exit $$?; }; \
779        done
780
781uninstall-nobase_myincludeHEADERS:
782        @$(NORMAL_UNINSTALL)
783        @list='$(nobase_myinclude_HEADERS)'; test -n "$(myincludedir)" || list=; \
784        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
785        dir='$(DESTDIR)$(myincludedir)'; $(am__uninstall_files_from_dir)
786
787# This directory's subdirectories are mostly independent; you can cd
788# into them and run `make' without going through this Makefile.
789# To change the values of `make' variables: instead of editing Makefiles,
790# (1) if the variable is set in `config.status', edit `config.status'
791#     (which will cause the Makefiles to be regenerated when you run `make');
792# (2) otherwise, pass the desired values on the `make' command line.
793$(RECURSIVE_TARGETS):
794        @fail= failcom='exit 1'; \
795        for f in x $$MAKEFLAGS; do \
796          case $$f in \
797            *=* | --[!k]*);; \
798            *k*) failcom='fail=yes';; \
799          esac; \
800        done; \
801        dot_seen=no; \
802        target=`echo $@ | sed s/-recursive//`; \
803        list='$(SUBDIRS)'; for subdir in $$list; do \
804          echo "Making $$target in $$subdir"; \
805          if test "$$subdir" = "."; then \
806            dot_seen=yes; \
807            local_target="$$target-am"; \
808          else \
809            local_target="$$target"; \
810          fi; \
811          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
812          || eval $$failcom; \
813        done; \
814        if test "$$dot_seen" = "no"; then \
815          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
816        fi; test -z "$$fail"
817
818$(RECURSIVE_CLEAN_TARGETS):
819        @fail= failcom='exit 1'; \
820        for f in x $$MAKEFLAGS; do \
821          case $$f in \
822            *=* | --[!k]*);; \
823            *k*) failcom='fail=yes';; \
824          esac; \
825        done; \
826        dot_seen=no; \
827        case "$@" in \
828          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
829          *) list='$(SUBDIRS)' ;; \
830        esac; \
831        rev=''; for subdir in $$list; do \
832          if test "$$subdir" = "."; then :; else \
833            rev="$$subdir $$rev"; \
834          fi; \
835        done; \
836        rev="$$rev ."; \
837        target=`echo $@ | sed s/-recursive//`; \
838        for subdir in $$rev; do \
839          echo "Making $$target in $$subdir"; \
840          if test "$$subdir" = "."; then \
841            local_target="$$target-am"; \
842          else \
843            local_target="$$target"; \
844          fi; \
845          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
846          || eval $$failcom; \
847        done && test -z "$$fail"
848tags-recursive:
849        list='$(SUBDIRS)'; for subdir in $$list; do \
850          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
851        done
852ctags-recursive:
853        list='$(SUBDIRS)'; for subdir in $$list; do \
854          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
855        done
856
857ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
858        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
859        unique=`for i in $$list; do \
860            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
861          done | \
862          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
863              END { if (nonempty) { for (i in files) print i; }; }'`; \
864        mkid -fID $$unique
865tags: TAGS
866
867TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
868                $(TAGS_FILES) $(LISP)
869        set x; \
870        here=`pwd`; \
871        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
872          include_option=--etags-include; \
873          empty_fix=.; \
874        else \
875          include_option=--include; \
876          empty_fix=; \
877        fi; \
878        list='$(SUBDIRS)'; for subdir in $$list; do \
879          if test "$$subdir" = .; then :; else \
880            test ! -f $$subdir/TAGS || \
881              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
882          fi; \
883        done; \
884        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
885        unique=`for i in $$list; do \
886            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
887          done | \
888          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
889              END { if (nonempty) { for (i in files) print i; }; }'`; \
890        shift; \
891        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
892          test -n "$$unique" || unique=$$empty_fix; \
893          if test $$# -gt 0; then \
894            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
895              "$$@" $$unique; \
896          else \
897            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
898              $$unique; \
899          fi; \
900        fi
901ctags: CTAGS
902CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
903                $(TAGS_FILES) $(LISP)
904        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
905        unique=`for i in $$list; do \
906            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
907          done | \
908          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
909              END { if (nonempty) { for (i in files) print i; }; }'`; \
910        test -z "$(CTAGS_ARGS)$$unique" \
911          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
912             $$unique
913
914GTAGS:
915        here=`$(am__cd) $(top_builddir) && pwd` \
916          && $(am__cd) $(top_srcdir) \
917          && gtags -i $(GTAGS_ARGS) "$$here"
918
919distclean-tags:
920        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
921
922distdir: $(DISTFILES)
923        $(am__remove_distdir)
924        test -d "$(distdir)" || mkdir "$(distdir)"
925        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
926        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
927        list='$(DISTFILES)'; \
928          dist_files=`for file in $$list; do echo $$file; done | \
929          sed -e "s|^$$srcdirstrip/||;t" \
930              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
931        case $$dist_files in \
932          */*) $(MKDIR_P) `echo "$$dist_files" | \
933                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
934                           sort -u` ;; \
935        esac; \
936        for file in $$dist_files; do \
937          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
938          if test -d $$d/$$file; then \
939            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
940            if test -d "$(distdir)/$$file"; then \
941              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
942            fi; \
943            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
944              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
945              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
946            fi; \
947            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
948          else \
949            test -f "$(distdir)/$$file" \
950            || cp -p $$d/$$file "$(distdir)/$$file" \
951            || exit 1; \
952          fi; \
953        done
954        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
955          if test "$$subdir" = .; then :; else \
956            $(am__make_dryrun) \
957              || test -d "$(distdir)/$$subdir" \
958              || $(MKDIR_P) "$(distdir)/$$subdir" \
959              || exit 1; \
960            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
961            $(am__relativize); \
962            new_distdir=$$reldir; \
963            dir1=$$subdir; dir2="$(top_distdir)"; \
964            $(am__relativize); \
965            new_top_distdir=$$reldir; \
966            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
967            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
968            ($(am__cd) $$subdir && \
969              $(MAKE) $(AM_MAKEFLAGS) \
970                top_distdir="$$new_top_distdir" \
971                distdir="$$new_distdir" \
972                am__remove_distdir=: \
973                am__skip_length_check=: \
974                am__skip_mode_fix=: \
975                distdir) \
976              || exit 1; \
977          fi; \
978        done
979        $(MAKE) $(AM_MAKEFLAGS) \
980          top_distdir="$(top_distdir)" distdir="$(distdir)" \
981          dist-hook
982        -test -n "$(am__skip_mode_fix)" \
983        || find "$(distdir)" -type d ! -perm -755 \
984                -exec chmod u+rwx,go+rx {} \; -o \
985          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
986          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
987          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
988        || chmod -R a+r "$(distdir)"
989dist-gzip: distdir
990        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
991        $(am__remove_distdir)
992
993dist-bzip2: distdir
994        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
995        $(am__remove_distdir)
996
997dist-lzip: distdir
998        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
999        $(am__remove_distdir)
1000
1001dist-lzma: distdir
1002        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
1003        $(am__remove_distdir)
1004
1005dist-xz: distdir
1006        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
1007        $(am__remove_distdir)
1008
1009dist-tarZ: distdir
1010        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
1011        $(am__remove_distdir)
1012
1013dist-shar: distdir
1014        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
1015        $(am__remove_distdir)
1016
1017dist-zip: distdir
1018        -rm -f $(distdir).zip
1019        zip -rq $(distdir).zip $(distdir)
1020        $(am__remove_distdir)
1021
1022dist dist-all: distdir
1023        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
1024        $(am__remove_distdir)
1025
1026# This target untars the dist file and tries a VPATH configuration.  Then
1027# it guarantees that the distribution is self-contained by making another
1028# tarfile.
1029distcheck: dist
1030        case '$(DIST_ARCHIVES)' in \
1031        *.tar.gz*) \
1032          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
1033        *.tar.bz2*) \
1034          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
1035        *.tar.lzma*) \
1036          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
1037        *.tar.lz*) \
1038          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
1039        *.tar.xz*) \
1040          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
1041        *.tar.Z*) \
1042          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
1043        *.shar.gz*) \
1044          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
1045        *.zip*) \
1046          unzip $(distdir).zip ;;\
1047        esac
1048        chmod -R a-w $(distdir); chmod u+w $(distdir)
1049        mkdir $(distdir)/_build
1050        mkdir $(distdir)/_inst
1051        chmod a-w $(distdir)
1052        test -d $(distdir)/_build || exit 0; \
1053        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
1054          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
1055          && am__cwd=`pwd` \
1056          && $(am__cd) $(distdir)/_build \
1057          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
1058            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
1059            $(DISTCHECK_CONFIGURE_FLAGS) \
1060          && $(MAKE) $(AM_MAKEFLAGS) \
1061          && $(MAKE) $(AM_MAKEFLAGS) dvi \
1062          && $(MAKE) $(AM_MAKEFLAGS) check \
1063          && $(MAKE) $(AM_MAKEFLAGS) install \
1064          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
1065          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
1066          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
1067                distuninstallcheck \
1068          && chmod -R a-w "$$dc_install_base" \
1069          && ({ \
1070               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
1071               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
1072               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
1073               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
1074                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
1075              } || { rm -rf "$$dc_destdir"; exit 1; }) \
1076          && rm -rf "$$dc_destdir" \
1077          && $(MAKE) $(AM_MAKEFLAGS) dist \
1078          && rm -rf $(DIST_ARCHIVES) \
1079          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
1080          && cd "$$am__cwd" \
1081          || exit 1
1082        $(am__remove_distdir)
1083        @(echo "$(distdir) archives ready for distribution: "; \
1084          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
1085          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
1086distuninstallcheck:
1087        @test -n '$(distuninstallcheck_dir)' || { \
1088          echo 'ERROR: trying to run $@ with an empty' \
1089               '$$(distuninstallcheck_dir)' >&2; \
1090          exit 1; \
1091        }; \
1092        $(am__cd) '$(distuninstallcheck_dir)' || { \
1093          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
1094          exit 1; \
1095        }; \
1096        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
1097           || { echo "ERROR: files left after uninstall:" ; \
1098                if test -n "$(DESTDIR)"; then \
1099                  echo "  (check DESTDIR support)"; \
1100                fi ; \
1101                $(distuninstallcheck_listfiles) ; \
1102                exit 1; } >&2
1103distcleancheck: distclean
1104        @if test '$(srcdir)' = . ; then \
1105          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
1106          exit 1 ; \
1107        fi
1108        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
1109          || { echo "ERROR: files left in build directory after distclean:" ; \
1110               $(distcleancheck_listfiles) ; \
1111               exit 1; } >&2
1112check-am: all-am
1113check: $(BUILT_SOURCES)
1114        $(MAKE) $(AM_MAKEFLAGS) check-recursive
1115all-am: makefile $(DATA) $(HEADERS)
1116installdirs: installdirs-recursive
1117installdirs-am:
1118        for dir in "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(myincludedir)" "$(DESTDIR)$(myincludedir)"; do \
1119          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1120        done
1121install: $(BUILT_SOURCES)
1122        $(MAKE) $(AM_MAKEFLAGS) install-recursive
1123install-exec: install-exec-recursive
1124install-data: install-data-recursive
1125uninstall: uninstall-recursive
1126
1127install-am: all-am
1128        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1129
1130installcheck: installcheck-recursive
1131install-strip:
1132        if test -z '$(STRIP)'; then \
1133          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1134            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1135              install; \
1136        else \
1137          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1138            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1139            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1140        fi
1141mostlyclean-generic:
1142
1143clean-generic:
1144
1145distclean-generic:
1146        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1147        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1148
1149maintainer-clean-generic:
1150        @echo "This command is intended for maintainers to use"
1151        @echo "it deletes files that may require special tools to rebuild."
1152        -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1153@CppAD_DOCUMENTATION_FALSE@install-data-hook:
1154clean: clean-recursive
1155
1156clean-am: clean-generic mostlyclean-am
1157
1158distclean: distclean-recursive
1159        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1160        -rm -f makefile
1161distclean-am: clean-am distclean-generic distclean-tags
1162
1163dvi: dvi-recursive
1164
1165dvi-am:
1166
1167html: html-recursive
1168
1169html-am:
1170
1171info: info-recursive
1172
1173info-am:
1174
1175install-data-am: install-myincludeHEADERS \
1176        install-nobase_myincludeHEADERS install-pkgconfigDATA
1177        @$(NORMAL_INSTALL)
1178        $(MAKE) $(AM_MAKEFLAGS) install-data-hook
1179install-dvi: install-dvi-recursive
1180
1181install-dvi-am:
1182
1183install-exec-am:
1184
1185install-html: install-html-recursive
1186
1187install-html-am:
1188
1189install-info: install-info-recursive
1190
1191install-info-am:
1192
1193install-man:
1194
1195install-pdf: install-pdf-recursive
1196
1197install-pdf-am:
1198
1199install-ps: install-ps-recursive
1200
1201install-ps-am:
1202
1203installcheck-am:
1204
1205maintainer-clean: maintainer-clean-recursive
1206        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1207        -rm -rf $(top_srcdir)/autom4te.cache
1208        -rm -f makefile
1209maintainer-clean-am: distclean-am maintainer-clean-generic
1210
1211mostlyclean: mostlyclean-recursive
1212
1213mostlyclean-am: mostlyclean-generic
1214
1215pdf: pdf-recursive
1216
1217pdf-am:
1218
1219ps: ps-recursive
1220
1221ps-am:
1222
1223uninstall-am: uninstall-myincludeHEADERS \
1224        uninstall-nobase_myincludeHEADERS uninstall-pkgconfigDATA
1225
1226.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all check \
1227        ctags-recursive install install-am install-data-am \
1228        install-strip tags-recursive
1229
1230.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1231        all all-am am--refresh check check-am clean clean-generic \
1232        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
1233        dist-hook dist-lzip dist-lzma dist-shar dist-tarZ dist-xz \
1234        dist-zip distcheck distclean distclean-generic distclean-tags \
1235        distcleancheck distdir distuninstallcheck dvi dvi-am html \
1236        html-am info info-am install install-am install-data \
1237        install-data-am install-data-hook install-dvi install-dvi-am \
1238        install-exec install-exec-am install-html install-html-am \
1239        install-info install-info-am install-man \
1240        install-myincludeHEADERS install-nobase_myincludeHEADERS \
1241        install-pdf install-pdf-am install-pkgconfigDATA install-ps \
1242        install-ps-am install-strip installcheck installcheck-am \
1243        installdirs installdirs-am maintainer-clean \
1244        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
1245        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
1246        uninstall-myincludeHEADERS uninstall-nobase_myincludeHEADERS \
1247        uninstall-pkgconfigDATA
1248
1249$(top_srcdir)/cppad/configure.hpp: cppad/configure.hpp
1250        cp cppad/configure.hpp $(top_srcdir)/cppad/configure.hpp
1251@CppAD_HAVE_AR_FALSE@   SPEED_DIRS =
1252
1253test: all
1254        rm -f test.log
1255        touch test.log
1256        echo "#! /bin/sh -e"                               >  test.sh
1257        for dir in $(test_directory_list) ; do (                        \
1258                echo "#"                                      >> test.sh ; \
1259                echo "echo \"Running make test in $$dir\""    >> test.sh ; \
1260                echo "cd $$dir "                              >> test.sh ; \
1261                echo "make test"                              >> test.sh ; \
1262                echo "cd $(ABS_TOP_BUILDDIR)"                 >> test.sh ; \
1263        ) done
1264        echo "exit 0"                                      >> test.sh
1265        chmod +x test.sh
1266        ./test.sh
1267#
1268dist-hook:
1269        rm -rf `find . -name .svn`
1270        rm $(distdir)/doc/error.wrd
1271        rm $(distdir)/bin/gpl_license.sh
1272@CppAD_DOCUMENTATION_TRUE@install-data-hook:
1273@CppAD_DOCUMENTATION_TRUE@      if [ ! -e $(doc_postfix) ] ; then mkdir -p $(doc_postfix) ; fi
1274@CppAD_DOCUMENTATION_TRUE@      if [ -e $(doc_package) ] ; then rm -rf $(doc_package) ; fi
1275@CppAD_DOCUMENTATION_TRUE@      cp -a $(top_srcdir)/doc $(doc_package)
1276@CppAD_DOCUMENTATION_TRUE@      chmod -R a-w $(doc_package)
1277@CppAD_DOCUMENTATION_TRUE@      chmod -R u+w $(doc_package)
1278@CppAD_DOCUMENTATION_TRUE@      chmod -R a+r $(doc_package)
1279
1280# Tell versions [3.59,3.63) of GNU make to not export all variables.
1281# Otherwise a system limit (for SysV at least) may be exceeded.
1282.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.